# osgText::Text::GlyphQuads Struct Reference

List of all members.

## Public Types

typedef std::vector< Font::Glyph * > | Glyphs
typedef std::vector< osg::Vec2 > | Coords2
typedef std::vector< osg::Vec3 > | Coords3
typedef std::vector< osg::Vec2 > | TexCoords

## Public Member Functions

Glyphs | getGlyphs ()
const Glyphs | getGlyphs () const
Coords2 & | getCoords ()
const Coords2 & | getCoords () const
Coords3 & | getTransformedCoords (unsigned int contexID)
const Coords3 & | getTransformedCoords (unsigned int contexID) const
TexCoords & | getTexCoords ()
const TexCoords & | getTexCoords () const

## Public Attributes

Glyphs | _glyphs
Coords2 | _coords
osg::buffered_object< Coords3 > | _transformedCoords
TexCoords | _texcoords

## Member Typedef Documentation

typedef std::vector<osg::Vec2> osgText::Text::GlyphQuads::Coords2

typedef std::vector<osg::Vec3> osgText::Text::GlyphQuads::Coords3

typedef std::vector<Font::Glyph*> osgText::Text::GlyphQuads::Glyphs

typedef std::vector<osg::Vec2> osgText::Text::GlyphQuads::TexCoords

## Member Function Documentation

const Coords2& osgText::Text::GlyphQuads::getCoords | ( |  | ) | const`[inline]`

Coords2& osgText::Text::GlyphQuads::getCoords | ( |  | ) | `[inline]`

const Glyphs osgText::Text::GlyphQuads::getGlyphs | ( |  | ) | const`[inline]`

Glyphs osgText::Text::GlyphQuads::getGlyphs | ( |  | ) | `[inline]`

const TexCoords& osgText::Text::GlyphQuads::getTexCoords | ( |  | ) | const`[inline]`

TexCoords& osgText::Text::GlyphQuads::getTexCoords | ( |  | ) | `[inline]`

const Coords3& osgText::Text::GlyphQuads::getTransformedCoords | ( | unsigned int | contexID | ) | const`[inline]`

Coords3& osgText::Text::GlyphQuads::getTransformedCoords | ( | unsigned int | contexID | ) | `[inline]`

## Member Data Documentation

Coords2 osgText::Text::GlyphQuads::_coords

Glyphs osgText::Text::GlyphQuads::_glyphs

TexCoords osgText::Text::GlyphQuads::_texcoords

osg::buffered_object<Coords3> osgText::Text::GlyphQuads::_transformedCoords

The documentation for this struct was generated from the following file:

- Text